# Interface methods for submodule: VTKImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import StreamingImageIOBaseProxy as _StreamingImageIOBaseProxy


# Interface methods for class: VTKImageIO
class VTKImageIOProxy(_StreamingImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanStreamWrite(self) -> bool:
		""""""
		...

	def CanStreamRead(self) -> bool:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def GetHeaderSize(self) -> int:
		""""""
		...

